package com.muyu.common.core.validation.custom;

import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Constraint;

import java.lang.annotation.*;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：IsSystemYesNo
 * @Date：2024/7/31 20:22
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {SystemYesNoValidator.class})
public @interface IsSystemYesNo {

    String message() default "数据字典: [系统是否] - 参数不合法";


}
