package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SystemYesNo;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;
import jakarta.validation.Validator;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：SystemYesNoValidator
 * @Date：2024/7/31 20:22
 */
public class SystemYesNoValidator implements ConstraintValidator<IsSystemYesNo,String> {

    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SystemYesNo.isCode(value);
    }
}
